Name:           perl-Class-MOP
Version:        0.49
Release:        3%{?dist}.1
Summary:        Metaobject programming model for Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Class-MOP/
#Source0:        http://www.cpan.org/authors/id/S/ST/STEVAN/Class-MOP-%{version}.tar.gz
Source0:        http://www.cpan.org/modules/by-module/Class/Class-MOP-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(Test::More)
# cpan
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Sub::Name) >= 0.02
# test
BuildRequires:  perl(Algorithm::C3)
BuildRequires:  perl(Class::C3)
BuildRequires:  perl(SUPER)
BuildRequires:  perl(Test::Exception) >= 0.21
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)


%description
This module is an attempt to create a meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or characteristics
of the Perl 5 object system, only to create a protocol for its manipulation
and introspection.

That said, it does attempt to create the tools for building a rich set of
extensions to the Perl 5 object system. Every attempt has been made for these
tools to keep to the spirit of the Perl 5 object system that we all know and
love.

%prep
%setup -q -n Class-MOP-%{version}

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(MyMetaClass.*)/d; /perl(BinaryTree)/d'
EOF

%define __perl_provides %{_builddir}/Class-MOP-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist         -exec rm -f {} +
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} +
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \; 

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README examples/ scripts/ t/
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Class
%{perl_vendorarch}/metaclass.pm
%{_mandir}/man3/*

%changelog
* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.49-3
- rebuild for new perl

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.49-2
- Autorebuild for GCC 4.3

* Sat Dec 15 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.49-1
- update to 0.49
- note that we're now arch-specific, as there's XS-speedup goodness!
- note also that 0.49 BREAKS Moose < 0.33!

* Wed Dec 12 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.48-1
- update to 0.48

* Sun Nov 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.47-1
- update to 0.47

* Sat Nov 17 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.45-1
- update to 0.45
- adapt to Module::Install style

* Sat Aug 11 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.42-1
- update to 0.42
- license tag: GPL -> GPL+

* Thu May 31 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.38-1
- update to 0.38
- add t/ to doc
- minor spec rework to deal with the once and future perl split

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 0.37-1
- update to 0.37

* Mon Nov 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.36-1
- update to 0.36
- update summary tag

* Tue Oct 03 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.35-1
- update to 0.35

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-3
- bump

* Thu Sep 07 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-2
- add br on Test::Pod && ::Coverage

* Sat Sep 02 2006 Chris Weyl <cweyl@alumni.drew.edu> 0.34-1
- Specfile autogenerated by cpanspec 1.69.1.
